package jalview.datamodel;

import static org.testng.AssertJUnit.assertTrue;

import org.testng.annotations.AfterMethod;
import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

public class PDBEntryTest
{

 @BeforeMethod(alwaysRun = true)
  public void setUp() throws Exception
  {
  }

  @AfterMethod
  public void tearDown() throws Exception
  {
  }

  @Test(groups ={ "Functional" })
  public void test()
  {
    try
    {

    PDBEntry pdbEntry = new PDBEntry("1xyz", "A", PDBEntry.Type.PDB,
            "x/y/z/File");

    PDBEntry case1 = new PDBEntry("1XYZ", "A", PDBEntry.Type.PDB,
            "x/y/z/File");
    PDBEntry case2 = new PDBEntry("1xyz", "a", PDBEntry.Type.PDB,
            "x/y/z/File");
    PDBEntry case3 = new PDBEntry("1xyz", "A", PDBEntry.Type.FILE,
            "x/y/z/File");
    PDBEntry case4 = new PDBEntry(null, null, null, null);
    PDBEntry case5 = new PDBEntry(null, "A", PDBEntry.Type.PDB,
            "x/y/z/File");
    PDBEntry case6 = new PDBEntry("1xyz", null, PDBEntry.Type.PDB,
            "x/y/z/File");
    PDBEntry case7 = new PDBEntry("1xyz", "A", null, "x/y/z/File");
    PDBEntry case8 = new PDBEntry("1xyz", "A", PDBEntry.Type.PDB, null);
      PDBEntry case9 = new PDBEntry("1xyz", "A", null, "x/y/z/File");

    
      // System.out.println(">>>> Testing case 1");
    assertTrue(pdbEntry.equals(case1));
      // System.out.println(">>>> Testing case 2");
    assertTrue(pdbEntry.equals(case2));
      // System.out.println(">>>> Testing case 3");
    assertTrue(!pdbEntry.equals(case3));
      // System.out.println(">>>> Testing case 4");
    assertTrue(!pdbEntry.equals(case4));
      // System.out.println(">>>> Testing case 5");
    assertTrue(!pdbEntry.equals(case5));
      // System.out.println(">>>> Testing case 6");
    assertTrue(!pdbEntry.equals(case6));
      // System.out.println(">>>> Testing case 7");
    assertTrue(!pdbEntry.equals(case7));
      // System.out.println(">>>> Testing case 8");
      assertTrue(pdbEntry.equals(case8));
      assertTrue(pdbEntry.equals(case8));
      assertTrue(case7.equals(case9));
    } catch (Exception e)
    {
      e.printStackTrace();
    }

  }

}
